/**
 * 全局引入组件
 */

import YBreadcrumb from './YBreadcrumb';
import YConfirm from './YConfirm';
import YPrompt from './YPrompt';
import YTips from './YTips';

const components = [
	YBreadcrumb,
	YConfirm,
	YPrompt,
	YTips
];

const install = Vue => {
  components.forEach (component => {
		Vue.component (component.name, component);
	});
};

if (typeof window !== 'undefined' && window.Vue) {
  install(window.Vue);
};

export default {
  install,
	YBreadcrumb,
	YConfirm,
	YPrompt,
	YTips
};








// import YBreadcrumbVue from './YBreadcrumb'
// import YTipsVue from './YTips.vue'
// import YPromptVue from './YPrompt.vue'
// import YConfirmVue from './YConfirm.vue'
// import vueClientImport from './clientImport.vue'
// import vueCustomDeptlist from './vue-custom-deptlist.vue'
// 
// // 这里是重点
// const assemblyComponents = {
//   install(Vue) {
//     Vue.component('Y-Breadcrumb', Vue.extend(YBreadcrumbVue)); // 面包屑
//     Vue.component('Y-Tips', Vue.extend(YTipsVue)); // 信息提示框
//     Vue.component('Y-Prompt', Vue.extend(YPromptVue)); // 操作提示框
//     Vue.component('Y-Confirm', Vue.extend(YConfirmVue)); // 删除提示框
//     Vue.component('v-clientImport', Vue.extend(vueClientImport)); // 自定义导入控件
//     Vue.component('v-deptList', Vue.extend(vueCustomDeptlist)); // 自定义部门控件
//   }
// }
// 
// // 导出组件
// export default assemblyComponents
