import Vue from 'vue';
import App from '@/App.vue';
import router from '@/router/'; // 路由文件
import store from '@/store/'; // Vuex文件
import '@/assembly/'; // 组件库
import '@/api/'; // 接口文件
import "@/utils/"; // 基础工具包


import '../static/css/style.css'

Vue.config.productionTip = false


new Vue({
  router,
  store,
  render: h => h(App)
}).$mount('#app');
